/**Begin D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_CUR_EXCHANGE_RATE') 
 CREATE TABLE T_BDM_CUR_EXCHANGE_RATE (
FID BIGINT DEFAULT 0 NOT NULL,
FBZDM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNF NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYF NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYHL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL13 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL14 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL15 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL16 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL17 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL18 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL19 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL20 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL21 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL22 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL23 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL24 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL25 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL26 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL27 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL28 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL29 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL30 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYHL31 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKDAY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_CURR_TABLE') 
 CREATE TABLE T_BDM_CURR_TABLE (
FID BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_CUSTOMS_REMARK') 
 CREATE TABLE T_BDM_CUSTOMS_REMARK (
FID BIGINT DEFAULT 0 NOT NULL,
FSELECTKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTALIAS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FREMARKID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
